Bug 123540 - Japanese PDF scrambled with xpdf 3.00
Japanese PDF scrambled with xpdf 3.00
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xpdf (Show other bugs)
2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Mike McLean
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-19 04:00 EDT by Nakai
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-24 12:51:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
F*ck'n easy Japanese pdf - but xpdf fails to show (3.75 KB, application/pdf)
2004-05-19 04:01 EDT, Nakai
no flags Details
screenshot of samle-orig.pdf before patch (10.07 KB, image/png)
2004-05-19 04:03 EDT, Nakai
no flags Details
screenshot of sample-orig.pdf: after patch (23.44 KB, image/png)
2004-05-19 04:04 EDT, Nakai
no flags Details
diff for /etc/xpdfrc.ja (524 bytes, patch)
2004-05-19 04:11 EDT, Nakai
no flags Details | Diff

  None (edit)
Description Nakai 2004-05-19 04:00:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
The current xpdf rpm package in Fedora has
serious mistake that it can show
font embedded Japanese pdf file but cannot show
Japanese pdf without font inside.

This patch
http://thinkpad.et8.net/lucida/linux-patch/files/xpdf-3.0-cjk-font.diff
fixes CID->GID mapping fontCIDType2, which is the CID font format
with TrueType wrapped inside with dictionary.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Open Japanese PDF with xpdf
2. No string...
3.
    

Actual Results:  No string

Expected Results:  Actual Japanese string.

Additional info:

This patch is not Japanese specific so should not break other
languages.

And you need to delete displayFontX line and add the line
displayCIDFontTT Adobe-Japan1
"/usr/share/fonts/ja/TrueType/kochi-gothic-subst.ttf"
in /etc/xpdfrc.ja.

Korean and Chinese are supposed to have that problem too
and it'll be fixed samely.
Comment 1 Nakai 2004-05-19 04:01:14 EDT
Created attachment 100319 [details]
F*ck'n easy Japanese pdf - but xpdf fails to show
Comment 2 Nakai 2004-05-19 04:03:57 EDT
Created attachment 100320 [details]
screenshot of samle-orig.pdf before patch
Comment 3 Nakai 2004-05-19 04:04:26 EDT
Created attachment 100321 [details]
screenshot of sample-orig.pdf: after patch
Comment 4 Nakai 2004-05-19 04:11:31 EDT
Created attachment 100322 [details]
diff for /etc/xpdfrc.ja
Comment 5 Ngo Than 2004-05-19 04:55:21 EDT
Yukihiro, could you attach a test pdf file for testing please? Thanks
Comment 6 Leon Ho 2004-06-02 21:15:16 EDT
Comment 1 has a test pdf. Let me know if you need more. Cheers
Comment 7 Ngo Than 2004-06-24 12:51:07 EDT
i already added the patch into xpdf-3.00-5, it will show up in fc3
tree soon.

Please test it again if this problem is fixed. Thanks

Note You need to log in before you can comment on or make changes to this bug.